Subject: Vossler Electric & Furlow Settlements
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 2 Mar 2000 14:53:00 -0800 (PST)

This afternoon in 2 separate negotiations I reached verbal agreements w/ both 
Vossler and Furlow to settle the open accounts payables as follows:

Vossler
The total settlement amount = $210,000.00
Ecogas will make a $68,000.00 one-time payment on 3/16/00
The balance of $142,000.000 will be amortized over 2 years at 10% apr paid 
monthly by the 15th of each month starting in April 00.  (est monthly payment 
= $6552.58)

Furlow - Dallas
Settlement amount = $370,125.00
Ecogas will make a one-time payment = $50,000.00 on 3/16/00
Balance of $370,125.00 amortized over 2 years @ 11% paid monthly by the 15th 
(est monthly payment = $17,250.73) starting 4/15/00
Ecogas will assume direct responsibility for paying off any unpaid 
sub-contractors on case by case basis.  These areas follows:
Nations Rent  $8,464
B&R Development  $74,124
M&M Supply  $18,910
Prewitt Insulation  $11,381
Total:  $117,353

5.    Tom Hall (Ecogas) will confirm w/ Joe Furlow the status of the unpaid 
creditors.

Furlow - San Antonio

S.A. is not so easy.  However, pending resolution of the following issues, we 
expect a structure similar to Dallas:

Rick Carson/Herman Manis provide update re: current operational and 
accounting audits of the project
Joe Furlow/Tom Hall to verify status of unpaid contractors listed below:
Alamo concrete  $16,090
A&L Sandblasting $22,686
Cato Drilling  $11,150
Total:  $49,926

Doug Daniels (Bracewell Patterson) to coordinate and comply w/ various info 
requests from Furlow's counsel as appropriate
Miles Cohn (Furlow counsel) will provide actual legal costs to date to be 
included in the overall settlement
Tom Hall will verify status of any equipment, work, etc... currently invoiced 
but not yet delivered to the site
Ecogas and Furlow to resolve ultimate settlement amount (i.e., resolution of 
disputed amounts)

Assuming the current amount is undisputed (we think it could be as much as 
$100K less) the following represents the settlement structure at S.A.:

current settlement amount claimed by Furlow = $412,989.00 (potentially $100K 
in dispute)
$50,000.00 one-time payment on 3/16/00 (regardless of the final settlement 
amount)
Balance of $362,989.00 amortized over 2 years @ 11% paid monthly by the 15th 
(est monthly payment = $16,918.13) starting 4/15/00
Ecogas will assume direct responsibility for paying off any unpaid 
sub-contractors on case by case basis.

Summary of both settlements:
Payments totalling $168,000.00 due on 3/16/00
Total estimated monthly payments of $40,721.44 due on 15th each month 
starting 4/15/00
Ecogas assumption of paying off sub-contractors total = $167,279.00 (I 
recommend paying them off pro-rata in 6 installments totalling $27,879.83 
(est. pending verification) starting March of April 15.  Felipe will need to 
contact each AFTER WE'VE FINALIZED THE FURLOW ISSUES AND DISCUSSED 
INTERNALLY.  This would result in a monthly total payment of $68,601.27 for 
the first 6 months.

Obviously, all of these need to be incorporated into the bi-weekly draw 
request process starting w/ the 3/16/00 draw.  Key issues are a) we've 
avoided at least 2 litigations (probably more with the sub-contractors), b) 
we've gotten some much needed breathing room, c) we've started down the road 
of rebuilding industry relationships, d) we reduced our total liabilities 
significantly (in both cases I got the counter-party to concede some monetary 
value thru interest rate concessions, disputed amounts, etc... and e) we've 
done the right thing (of which I'm most proud)!

CAUTION! NO ONE SHOULD MAKE ANY REPRESENTATIONS TO ANY CREDITORS WITHOUT 
DISCUSSING IT MYSELF OR KELLY MAHMOUD FIRST!!!!!

Thanks for everybody's help and please respond to your respective action 
items re: Furlow - San Antonio ASAP!